/* which.cmd: a 'clone' of UNIX which command */
/* (c)2003, Salvador Parra Camacho */

parse arg command

if command = '' then
	do
	say ''
	say '  Syntax: which [command_to_search]'
	exit
	end

type = search()

say ''
say '  '||filespec

exit

search:

com_command = command||'.com'
filespec = SysSearchPath('PATH',com_command)
if filespec <> '' then return 'com'

exe_command = command||'.exe'
filespec = SysSearchPath('PATH',exe_command)
if filespec <> '' then return 'exe'

cmd_command = command||'.cmd'
filespec = SysSearchPath('PATH',cmd_command)
if filespec <> '' then return 'cmd'

bat_command = command||'.bat'
filespec = SysSearchPath('PATH',bat_command)
if filespec <> '' then return 'bat'

filespec = '  Command not found.'

return 0